# Delete Column

Delete a column with its name or `key`.
See the request body for detailed params.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Base Operations",
    "description": "The official SeaTable API Reference (OpenAPI 3.0).",
    "version": "6.2"
  },
  "servers": [
    {
      "url": "https://{server}",
      "variables": {
        "server": {
          "default": "cloud.seatable.io"
        }
      }
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "metrics-enabled": false,
    "proxy-enabled": false
  },
  "tags": [
    {
      "name": "Columns",
      "description": "Create and manipulate columns inside a table"
    }
  ],
  "components": {
    "securitySchemes": {
      "BaseTokenAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This is the [Base-Token](/reference/authentication)."
      }
    },
    "parameters": {
      "base_uuid": {
        "name": "base_uuid",
        "in": "path",
        "schema": {
          "type": "string",
          "pattern": "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$"
        },
        "required": true,
        "description": "The unique identifier of a base. Sometimes also called dtable_uuid.",
        "example": "5c264e76-0e5a-448a-9f34-580b551364ca"
      }
    },
    "schemas": {
      "table_name": {
        "type": "string",
        "description": "The name of the table to perform the operation on. Alternatively, you can use the `table_id` instead of `table_name`. If using `table_id`, ensure that the key in the request body is replaced accordingly.",
        "example": "Table1"
      },
      "column_name": {
        "type": "string",
        "pattern": "^[^.}{`]*$",
        "description": "The name of the column."
      },
      "delete_column": {
        "type": "object",
        "properties": {
          "table_name": {
            "$ref": "#/components/schemas/table_name"
          },
          "column": {
            "$ref": "#/components/schemas/column_name"
          }
        },
        "required": [
          "table_name",
          "column"
        ]
      }
    }
  },
  "paths": {
    "/api-gateway/api/v2/dtables/{base_uuid}/columns/": {
      "delete": {
        "tags": [
          "Columns"
        ],
        "summary": "Delete Column",
        "operationId": "deleteColumn",
        "description": "Delete a column with its name or `key`.\nSee the request body for detailed params.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/delete_column"
              }
            }
          }
        },
        "security": [
          {
            "BaseTokenAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/base_uuid"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "example": {
                  "success": true
                }
              }
            }
          }
        }
      }
    }
  },
  "_id": {
    "buffer": {
      "0": 105,
      "1": 212,
      "2": 220,
      "3": 12,
      "4": 20,
      "5": 34,
      "6": 131,
      "7": 31,
      "8": 141,
      "9": 111,
      "10": 187,
      "11": 150
    }
  }
}
```